import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import * as wijmo from '@mescius/wijmo';
import * as input from '@mescius/wijmo.input';
//
import { getData } from './data';
//
document.readyState === 'complete' ? init() : window.onload = init;
//
function init() {
// create GroupDescription to group by initial
let gdInitial = new wijmo.GroupDescription();
gdInitial.groupNameFromItem = item => item[0];
//
// get grouped CollectionView
let view = new wijmo.CollectionView(getData(), {
sortDescriptions: [''],
groupDescriptions: [gdInitial],
currentItem: null
});
//
// toggle showGroups
document.getElementById('showGroups').addEventListener('click', e => {
let showGroups = e.target.checked;
theComboBox.showGroups = showGroups;
theListBox.showGroups = showGroups;
});
//
// show in ComboBox
let theComboBox = new input.ComboBox('#theComboBox', {
showGroups: true,
itemsSource: view,
});
//
// show in ListBox
let theListBox = new input.ListBox('#theListBox', {
showGroups: true,
itemsSource: view
});
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo CollectionView Grouping By Initial</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div class="container-fluid">
<div class="form-check">
<label for="showGroups" class="form-check-label">Show Groups</label>
<input id="showGroups" type="checkbox" checked>
</div>
<div class="row">
<div class="col-xs-6">
<h4>
ComboBox
</h4>
<div id="theComboBox"></div>
</div>
<div class="col-xs-6">
<h4>
ListBox
</h4>
<div id="theListBox"></div>
</div>
</div>
</div>
</body>
</html>
// some data for the list/combo
// https://www.mockaroo.com/
export function getData() {
return [
'Andrus Lockie',
'Davy Imos',
'Kathryn Lotze',
'Vin Colbran',
'Scarlett Spalls',
'Robbi Eckford',
'Feodor Rippin',
'Jami Balmforth',
'Wenonah Clemendot',
'Cortney Cota',
'Iormina Sullly',
'Leona Philpot',
'Renelle Dulinty',
'Dorella Gawthrope',
'Brenda Hannaway',
'Katya Thiem',
'Tommy Beenham',
'Dari Willets',
'Gilburt Seagrove',
'Silvana Gabbett',
'Noemi McCree',
'Jaquelyn Autie',
'D\'arcy Myton',
'Wash Petrasso',
'Bertrand Costi',
'Garrick Attyeo',
'Helaina Castle',
'Gauthier Hosby',
'Aime Danhel',
'Tiffie Sallis',
'Charmian Pettipher',
'Yolanthe Wildt',
'Toiboid Stoyles',
'Cati Lamble',
'Mohandas Bellord',
'Brew World',
'Dorri Davydochkin',
'Winonah Doudny',
'Sax Broadhead',
'Gilligan Maskelyne',
'Aldus McIntee',
'Pammy Sheivels',
'Israel Hodgin',
'Odo Berrisford',
'Aldo Lobell',
'Erik Ca',
'Roy Hallatt',
'Wally Edie',
'Ash Adamowicz',
'Alexandrina Whitney',
'Jenelle Matthis',
'Bobina Emlin',
'Emmet Townshend',
'Baudoin Dulen',
'Dominga MacPaik',
'Mela Guare',
'Edwina Scotchmoor',
'Dorree Creus',
'Ivor Burnep',
'Guinna Leggin',
'Marice Woodier',
'Jamesy Kettlewell',
'Mommy Barrows',
'Waylin Beeres',
'Preston Culham',
'Adolf Shirtcliffe',
'Jorey Rigge',
'Toni Huriche',
'Merrily Corryer',
'Ellary Jepson',
'Clemence Niblo',
'Petey Tireman',
'Juan Biddlecombe',
'Durand Eddy',
'Tersina Baggiani',
'Margery Philpotts',
'Robin Bonafacino',
'Dalia Kneebone',
'Libbi Bransdon',
'Parke Niblo',
'Clark Powell',
'Flory Bleythin',
'Chandler Olenov',
'Horton Birdis',
'Frazer Dragoe',
'Suzie Ackroyd',
'Adams Wilcox',
'Duane Ceschelli',
'Cris Vakhlov',
'Hodge Jedrzej',
'Alexio Ionnidis',
'Dalia Piotrowski',
'Rhodia Gritsunov',
'Melody Driuzzi',
'Gauthier Waycott',
'Ivy Domerque',
'Carolyne Gadsdon',
'Maison Durdan',
'Blancha Hissie',
'Ty Mouan',
'Ania Whittock',
'Riki Mariet',
'Tybi Levesley',
'Jemmie Ghilardini',
'Boniface Lighton',
'Janetta Gaskell',
'Darrelle Hartless',
'Theadora Taberer',
'Tabb Pawley',
'Cleavland Wardesworth',
'Risa Mary',
'Clovis Dilks',
'Linn Duckinfield',
'Rachele Tampen',
'Raeann Boddis',
'Lydon Warden',
'Kennedy Duberry',
'Barb Colegate',
'Regine Feldbrin',
'Kerr Boddie',
'Rube Giamuzzo',
'Thibaud Arnaldo',
'Gherardo Swinglehurst',
'Ofilia Obin',
'Jae Craigie',
'Benoit Rabson',
'Cass Kempston',
'Yard Drewson',
'Dex Aloshikin',
'Carlos Yurasov',
'Any Moriarty',
'Kaspar Broady',
'Vlad Maffucci',
'Ginelle Barus',
'Nance Gommey',
'Chandra Flay',
'Shem Woffinden',
'Theodor Coase',
'Jillana Olivet',
'Cornelle Donnan',
'Andie Bourrel',
'Miquela MacIlory',
'Schuyler Ramsbottom',
'Heddie Saull',
'Devi Boch',
'Sissie Gaunson',
'Porty Goodliffe',
'Donalt Bore',
'Elvyn Toffano',
'Mata Glassup',
'Maximilian Schanke',
'Kenton Tourle',
'Maurine Revitt',
'Hyacinthe Kira',
'Husain Nairy',
'Janaya Isted',
'Cindy Helling',
'Astrid Glasner',
'Ganny Treece',
'Marybelle Belson',
'Jarrod Ferreira',
'Stephine Rapier',
'Randene Hadenton',
'Amie Durrett',
'Rawley Arlidge',
'Rolf Cattrall',
'Germain Sibbons',
'Lynnette Akam',
'Bobinette Paige',
'Dido House',
'Helen-elizabeth Hedgecock',
'Gaylord McCuaig',
'Alexei Chaikovski',
'Beverlie Worral',
'Roana Quinevan',
'Collete Townson',
'Ezequiel Johanning',
'Alyce Shanley',
'Vilma Piscopello',
'Michel Amiss',
'Leia Monan',
'Ana Wedmore',
'Elnar Frankcom',
'Rachel Lovett',
'Rubia Hague',
'Andy Switland',
'Nonah Barkway',
'Lira Ardy',
'Kylila Hows',
'Sondra Meechan',
'Colly Skerritt',
'Lanae Morrissey',
'Lukas Eronie',
'Marjy Ffoulkes',
'Bern Pacey',
'Carroll Bentsen',
'Kim McCaw',
'Aigneis Tousy',
'Damita Dunderdale',
'Rahel Silvermann',
'Roosevelt Handes',
'Shandee Dutnall',
'Milicent Beevor',
'Oberon Bilbrook',
'Genia Etherton',
'Carlee Valenta',
'Edgard Lindholm',
'Tiebold Seeler',
'Peggie Withur',
'Steffie Ruppertz',
'Charles Kordas',
'Phylys Joscelin',
'Eberto Byrd',
'Ewan Ding',
'Gilemette Mewton',
'Linell Birkmyre',
'Faydra Tineman',
'Bidget Girton',
'Barton Tomney',
'Mellisa Aburrow',
'Rivy Shreeve',
'Barbabra Espinha',
'Fidelio Kimmince',
'Bendix Lavens',
'Michaela Skains',
'Isadore Woodruff',
'Doralyn Davidowsky',
'Quinn Tett',
'Harriett Curman',
'Ephraim Dicks',
'Mayor Cords',
'Mattheus Bowcock',
'Nataniel Gadsdon',
'Sharyl Bolver',
'Kristo Rizzi',
'Andromache Gregan',
'Modestia Strete',
'Malva Reach',
'Lanie Myton',
'Stern Grandisson',
'Carlyn Emmins',
'Mikkel Dalston',
'Dina Curtoys',
'Daloris Pasquale',
'Lenora Alexandrescu',
'Harbert Flag',
'Niles Hucquart',
'Nananne Castledine',
'Wallache Lasseter',
'Jordan Thornally',
'Dallas Aldred',
'Theodore Dugget',
'Carlita Dillinger',
'Giles Lulham',
'Micah Frizzell',
'Corenda Dunsford',
'Carrol Wittke',
'Aylmar Frayn',
'Melisa Farenden',
'Diarmid Goodboddy',
'Gregoire Pinsent',
'Roderigo Palumbo',
'Lion Deny',
'Rhys Wyeth',
'Madella Hold',
'Agata Leates',
'Angelica O\'Kennedy',
'Webb Coen',
'Dorris McAlpine',
'Oswell Castelijn',
'Rolfe Burns',
'Marion Kirkam',
'Stefania Millichip',
'Arlette Tufts',
'Dre Lewzey',
'Jaymee Markel',
'Helen-elizabeth Eich',
'Melodee Deveral',
'Darell Borne',
'Junette Burkill',
'Winonah Obbard',
'Ansel Dibsdale',
'Rozalie Chidley',
'Saree Greendale',
'Nanine Eisikowitch',
'Nisse Forbear',
'Kit Tournay',
'Thia Boorn',
'Vivie Aspinal',
'Dirk Wigan',
'Tammie Knowlson',
'Morten Purcell',
'Eolanda Messum',
'Samuele Heineken',
'Cam Fyndon',
'Zane Horwell',
'Gabie Mazey',
'Durward Healey',
'Des Ellams',
'Gabrila Molen',
'Dimitri Limrick',
'Filmore Slemming',
'Zaccaria Jencken',
'Raimondo Cathcart',
'Raymond Skipper',
'Garrek Labden',
'Wolfy Fabri',
'Jarrad D\'Alessandro',
'Calli Ainley',
'Sayres Train',
'Malissia Gilbride',
'Cornell Colclough',
'Jens Clackson',
'Filippo Spoure',
'Leigh Tremouille',
'Aldon Rois',
'Rey Lethieulier',
'Whit Vasic',
'Melly Blankhorn',
'Dorie Anker',
'Brier Rosbrough',
'Manon Phipard-Shears',
'Sondra Spencers',
'Mylo Pease',
'Rhea Antyshev',
'Rosa Crellin',
'Marlee Chaster',
'Erie Frankema',
'Gonzalo McCrillis',
'Sadella Zink',
'Roscoe Paffot',
'Angel Armal',
'Clifford Sackes',
'Kiah Velasquez',
'Dewey Jobern',
'Elnar Free',
'Paule Shannon',
'Fawne Cassar',
'Shawnee Mc Ilwrick',
'Jessie Stops',
'Sharlene Blaiklock',
'Anna-diana Gockeler',
'Mahala Offell',
'Jourdan Skipp',
'Ignacius Wathall',
'Marijn Maber',
'Alexandr Lathey',
'Sutton Lambrecht',
'Michael Penhaligon',
'Rebbecca Kinnin',
'Mill Hickford',
'Bendick Wheadon',
'Sissie Kiss',
'Dan Reeders',
'Valentine Swadlin',
'Odessa Sancias',
'Lurlene Woolford',
'Donica Fearenside',
'Ortensia Galpen',
'Cthrine Lilian',
'Gaby Thresh',
'Dalis Whyberd',
'Colver Malster',
'Nomi Klesl',
'Winston Slyne',
'Bianca Hazzard',
'Gaultiero Rottcher',
'Arte Fairfoul',
'Bendite Ardling',
'Aggy Spearett',
'Fremont McKirton',
'Phillis Addlestone',
'Zelig Durman',
'Bo Bremond',
'Luz Stirrup',
'Ofelia Andreotti',
'Morey Gilhool',
'Derril Brisse',
'Dian Denness',
'Feodora Michie',
'Sheri Screach',
'Kellina Braxay',
'Nanni Handslip',
'Cobby Grzelczyk',
'Alf Bankes',
'Jim Crichmere',
'Calypso Cheshir',
'Waring Altimas',
'Nikos MacMurray',
'Web Blayney',
'Barbe Meachan',
'Fonz Rennebach',
'Electra Neissen',
'Reynolds Peterffy',
'Murry Hannam',
'Ileana Rodolfi',
'Star Lauritsen',
'Reginald Maliphant',
'Minny Flanne',
'Delmer Cornil',
'Vina Ion',
'Arnold Krelle',
'Sayres Kernan',
'Matti Ilyukhov',
'Hastings Von Oertzen',
'Thea Hugenin',
'Maurise Leitch',
'Marsha Falck',
'Merry Ladlow',
'Mandi Fouracre',
'Emmett Kahan',
'Ronnie Chastan',
'Ricoriki Shah',
'Kevin Burfoot',
'Felicia Dyke',
'Corena Glazer',
'Eirena Skillen',
'Pierce Jobling',
'Blythe Gambles',
'Orella Ollett',
'Cristin Callendar',
'Killian Cromar',
'Pembroke Carlyle',
'Ben Toopin',
'Ansel Shoebrook',
'Timmy Huyghe',
'Noni Seccombe',
'Georgianne Larcier',
'Jimmy Pannaman',
'Antonio Nuccitelli',
'Hildy Angier',
'Grenville Baise',
'Blakelee Addekin',
'Raquela Karys',
'Sharline Blackler',
'Florrie Ricks',
'Lou Osan',
'Charmian Mount',
'Dunc Houdhury',
'Nelle Illingsworth',
'Audra Jeannel',
'Raoul Church',
'Adrien Grigoriscu',
'Sybilla Benzi',
'Natal Lamke',
'Burgess Furphy',
'Vaughan Yakubovich',
'Laverna Snarr',
'Ettore Blanpein',
'Chrissy Cranshaw',
'Reg Rispin',
'Raymund Uccelli',
'Irv Baskerville',
'Preston Hembling',
'Lew Battershall',
'Leigh Gingles',
'Benjamin Chicchetto',
'Ailina Padden',
'Dasya Terbruggen',
'Gerrie Danaher',
'Danyelle Finnigan',
'Benny Neeves',
'Prescott Trappe',
'Marya Burstowe',
'Pincas Ludlem',
'Bondie Patton',
'Robena Friedlos',
'Kelila Minithorpe',
'Shalom Bargery',
'Cad Grosvener',
'Alisun Ranklin',
'Rustie Inold',
'Domenic Crosser',
'Silas Hannan',
'Benny Tax',
'Gabrielle Rickardsson',
'Jannel Dominetti',
'Ron Shewen',
'Saidee Dorken',
'Cart Pullman',
'Jaquelyn Chrispin',
'Theressa Coil',
'Judah Ritchman',
'Tammie Ivantsov',
'Rubetta Hemstead',
'Fifine McGuggy',
'Consolata Pendrill',
'Raquel Brokenshire',
'Audry Physick',
'Siusan Magner',
'Napoleon Hoggins',
'Skipp Besson',
'Myrvyn Caruth',
'Meredithe Pickworth',
'Dudley Worters',
'Anatollo Kenefick',
'Maurits Di Ruggero',
'Odetta Hanalan',
'Brittani Moorman',
'Marilee Pickering',
'Jo-anne Tweedy',
'Bing Enochsson',
'Baird Hebborne',
'Jervis Brierton',
'Frederick Boorn',
'Alane Bertin',
'Danita Dytham',
'Ruby Craufurd',
'Miller Godwin',
'Giacobo Erwin',
'Cary Stryde',
'Hephzibah Fiddy',
'Tadd Saunton',
'Linnie Halsted',
'Beauregard Selvey',
'Marlow Cappleman',
'Kissiah Mannering',
'Meriel Poschel',
'Sanders Althrop',
'Delmar Shelford',
'Ailene Trahair',
'Merci Garrie',
'Lance Isaak',
'Rafe Maier',
'Somerset Kern',
'Quincy Fayerbrother',
'Gussy Kits',
'Ode Cownden',
'Cairistiona Gocke',
'Patrice Freebury',
'Gavra Cuell',
'Edita Liebermann',
'Zonnya Stanborough',
'Goraud Bence',
'Pen Headington',
'Charyl Leap',
'Cherrita Danilov',
'Derward Murney',
'Gayla Martinec',
'Joly Furman',
'Frasco Antoney',
'Kahlil Cawthorne',
'Billie Burkart',
'Jobey Ilyin',
'Virginia Frayn',
'Toni Cosgrove',
'Pamella Rodgerson',
'Rubia Thorndycraft',
'Ezechiel Aubray',
'Marlowe Drew-Clifton',
'Charlotta Cainey',
'Allyson Braikenridge',
'Alidia Tutt',
'Margaretha Ovendale',
'Beatrisa Ilett',
'Wilfrid Ellson',
'Alvera Slym',
'Ann Brocklebank',
'Nisse Bleiman',
'Allan Limbourne',
'Myrtie Althrop',
'Arden Zmitrichenko',
'Ileana Leifer',
'Elva Hewes',
'Felecia Galland',
'Tamara Pinsent',
'Marlon Gleadle',
'Sorcha Sallowaye',
'Letizia Trenouth',
'Claudio Hammer',
'Roberto Neill',
'Terrijo Hansman',
'Yank Darrigrand',
'Agna Perutto',
'Thekla Verillo',
'Gonzalo Spilsburie',
'Bern Crowhurst',
'Odetta Depka',
'Marlowe Fellenor',
'Prescott De Rechter',
'Karoline Tolotti',
'Hadley Caddell',
'Hewie Smiley',
'Sharla Stryde',
'Nolana Stern',
'Merwin Bassill',
'Ikey Longforth',
'Holly Chaperlin',
'Fowler Yurin',
'Wally Colomb',
'Ricky Ibert',
'Audry Joris',
'Vanna Sponton',
'Zeke Prettyjohn',
'Clayson McClifferty',
'Clare Allot',
'Bowie De Bruijne',
'Gordie Jentgens',
'Alyss Hazelgreave',
'Lisette Danks',
'Poppy Haysar',
'Bryn Bubbear',
'Glori Darco',
'Manuel Plevin',
'Erika Oldford',
'Gottfried O\'Currine ',
'Clywd Claasen',
'Kass Judgkins',
'Noella Langfat',
'Damian Conan',
'Patrizius Culp',
'Gwennie Jenner',
'Lyman Hollow',
'Gayelord Brunke',
'Blane Zywicki',
'Tibold Crielly',
'Roman Wankling',
'Rosaline Skullet',
'Adele Muffin',
'Demetria Peete',
'Stanislaw Spera',
'Rolph Ivanyutin',
'Trixie Brislawn',
'Freda Bower',
'Dorree Lardeur',
'Benni Petzolt',
'Joseph Dunbleton',
'Hart Dimont',
'Dwayne Liddyard',
'Conrad Smalls'
];
}
.wj-listbox {
height: 200px;
display: block;
}
.wj-listbox .wj-listbox-item {
line-height: 2em;
}
.wj-listbox .wj-listbox-item.wj-header {
opacity: 1;
position: sticky;
top: 0;
font-size: 125%;
}
label {
margin-right: 3px;
}
body {
margin-bottom: 40pt;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

Grouping By Initial (React)

This sample demonstrates grouping by a value instead of a field or property name. The GroupDescription's groupNameFromItem method is overridden to create a calculated value, which determines the group category. The items are grouped by first letter.

This example uses React.

import 'bootstrap.css'; import '@mescius/wijmo.styles/wijmo.css'; import ReactDOM from 'react-dom/client'; import React, { useState } from 'react'; import * as wijmo from '@mescius/wijmo'; import * as wjInput from '@mescius/wijmo.react.input'; import './app.css'; import { data } from './data'; // create GroupDescription to group by initial let gdInitial = new wijmo.GroupDescription(); gdInitial.groupNameFromItem = item => item[0]; const view = new wijmo.CollectionView(data, { sortDescriptions: [''], groupDescriptions: [gdInitial], currentItem: null }); function App() { const [showGroups, setShowGroups] = useState(true); const updateShowGroupsStatus = (target) => { setShowGroups(target.checked); }; return (<div className="container-fluid"> <div className="form-check"> <label htmlFor="showGroups" className="form-check-label">Show Groups</label> <input id="showGroups" className="form-check-input" type="checkbox" defaultChecked={true} onChange={e => { updateShowGroupsStatus(e.target); }}/> </div> <div className="row"> <div className="col-xs-6"> <h4> ComboBox: </h4> <wjInput.ComboBox itemsSource={view} showGroups={showGroups}/> </div> <div className="col-xs-6"> <h4> ListBox: </h4> <wjInput.ListBox itemsSource={view} showGroups={showGroups}/> </div> </div> </div>); } const container = document.getElementById('app'); if (container) { const root = ReactDOM.createRoot(container); root.render(<App />); }
<!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <title>MESCIUS Wijmo CollectionView Grouping By Initial</title> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- SystemJS --> <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.40/system.src.js" integrity="sha512-G6mEj6h18+m3MvzdviSDfPle/TfH0//cXcB33AKlNR/Rha0yQsKefDZKRTkIZos97HEGq2JMV1RT5ybMoQ3WsQ==" crossorigin="anonymous"></script> <script src="systemjs.config.js"></script> <script> System.import('./src/app'); </script> </head> <body> <div id="app"></div> </body> </html>
.wj-listbox { height: 200px; display: block; } .wj-listbox .wj-listbox-item { line-height: 2em; } .wj-listbox .wj-listbox-item.wj-header { opacity: 1; position: sticky; top: 0; font-size: 125%; } label { margin-right: 3px; }
function getData() { return [ 'Andrus Lockie', 'Davy Imos', 'Kathryn Lotze', 'Vin Colbran', 'Scarlett Spalls', 'Robbi Eckford', 'Feodor Rippin', 'Jami Balmforth', 'Wenonah Clemendot', 'Cortney Cota', 'Iormina Sullly', 'Leona Philpot', 'Renelle Dulinty', 'Dorella Gawthrope', 'Brenda Hannaway', 'Katya Thiem', 'Tommy Beenham', 'Dari Willets', 'Gilburt Seagrove', 'Silvana Gabbett', 'Noemi McCree', 'Jaquelyn Autie', 'D\'arcy Myton', 'Wash Petrasso', 'Bertrand Costi', 'Garrick Attyeo', 'Helaina Castle', 'Gauthier Hosby', 'Aime Danhel', 'Tiffie Sallis', 'Charmian Pettipher', 'Yolanthe Wildt', 'Toiboid Stoyles', 'Cati Lamble', 'Mohandas Bellord', 'Brew World', 'Dorri Davydochkin', 'Winonah Doudny', 'Sax Broadhead', 'Gilligan Maskelyne', 'Aldus McIntee', 'Pammy Sheivels', 'Israel Hodgin', 'Odo Berrisford', 'Aldo Lobell', 'Erik Ca', 'Roy Hallatt', 'Wally Edie', 'Ash Adamowicz', 'Alexandrina Whitney', 'Jenelle Matthis', 'Bobina Emlin', 'Emmet Townshend', 'Baudoin Dulen', 'Dominga MacPaik', 'Mela Guare', 'Edwina Scotchmoor', 'Dorree Creus', 'Ivor Burnep', 'Guinna Leggin', 'Marice Woodier', 'Jamesy Kettlewell', 'Mommy Barrows', 'Waylin Beeres', 'Preston Culham', 'Adolf Shirtcliffe', 'Jorey Rigge', 'Toni Huriche', 'Merrily Corryer', 'Ellary Jepson', 'Clemence Niblo', 'Petey Tireman', 'Juan Biddlecombe', 'Durand Eddy', 'Tersina Baggiani', 'Margery Philpotts', 'Robin Bonafacino', 'Dalia Kneebone', 'Libbi Bransdon', 'Parke Niblo', 'Clark Powell', 'Flory Bleythin', 'Chandler Olenov', 'Horton Birdis', 'Frazer Dragoe', 'Suzie Ackroyd', 'Adams Wilcox', 'Duane Ceschelli', 'Cris Vakhlov', 'Hodge Jedrzej', 'Alexio Ionnidis', 'Dalia Piotrowski', 'Rhodia Gritsunov', 'Melody Driuzzi', 'Gauthier Waycott', 'Ivy Domerque', 'Carolyne Gadsdon', 'Maison Durdan', 'Blancha Hissie', 'Ty Mouan', 'Ania Whittock', 'Riki Mariet', 'Tybi Levesley', 'Jemmie Ghilardini', 'Boniface Lighton', 'Janetta Gaskell', 'Darrelle Hartless', 'Theadora Taberer', 'Tabb Pawley', 'Cleavland Wardesworth', 'Risa Mary', 'Clovis Dilks', 'Linn Duckinfield', 'Rachele Tampen', 'Raeann Boddis', 'Lydon Warden', 'Kennedy Duberry', 'Barb Colegate', 'Regine Feldbrin', 'Kerr Boddie', 'Rube Giamuzzo', 'Thibaud Arnaldo', 'Gherardo Swinglehurst', 'Ofilia Obin', 'Jae Craigie', 'Benoit Rabson', 'Cass Kempston', 'Yard Drewson', 'Dex Aloshikin', 'Carlos Yurasov', 'Any Moriarty', 'Kaspar Broady', 'Vlad Maffucci', 'Ginelle Barus', 'Nance Gommey', 'Chandra Flay', 'Shem Woffinden', 'Theodor Coase', 'Jillana Olivet', 'Cornelle Donnan', 'Andie Bourrel', 'Miquela MacIlory', 'Schuyler Ramsbottom', 'Heddie Saull', 'Devi Boch', 'Sissie Gaunson', 'Porty Goodliffe', 'Donalt Bore', 'Elvyn Toffano', 'Mata Glassup', 'Maximilian Schanke', 'Kenton Tourle', 'Maurine Revitt', 'Hyacinthe Kira', 'Husain Nairy', 'Janaya Isted', 'Cindy Helling', 'Astrid Glasner', 'Ganny Treece', 'Marybelle Belson', 'Jarrod Ferreira', 'Stephine Rapier', 'Randene Hadenton', 'Amie Durrett', 'Rawley Arlidge', 'Rolf Cattrall', 'Germain Sibbons', 'Lynnette Akam', 'Bobinette Paige', 'Dido House', 'Helen-elizabeth Hedgecock', 'Gaylord McCuaig', 'Alexei Chaikovski', 'Beverlie Worral', 'Roana Quinevan', 'Collete Townson', 'Ezequiel Johanning', 'Alyce Shanley', 'Vilma Piscopello', 'Michel Amiss', 'Leia Monan', 'Ana Wedmore', 'Elnar Frankcom', 'Rachel Lovett', 'Rubia Hague', 'Andy Switland', 'Nonah Barkway', 'Lira Ardy', 'Kylila Hows', 'Sondra Meechan', 'Colly Skerritt', 'Lanae Morrissey', 'Lukas Eronie', 'Marjy Ffoulkes', 'Bern Pacey', 'Carroll Bentsen', 'Kim McCaw', 'Aigneis Tousy', 'Damita Dunderdale', 'Rahel Silvermann', 'Roosevelt Handes', 'Shandee Dutnall', 'Milicent Beevor', 'Oberon Bilbrook', 'Genia Etherton', 'Carlee Valenta', 'Edgard Lindholm', 'Tiebold Seeler', 'Peggie Withur', 'Steffie Ruppertz', 'Charles Kordas', 'Phylys Joscelin', 'Eberto Byrd', 'Ewan Ding', 'Gilemette Mewton', 'Linell Birkmyre', 'Faydra Tineman', 'Bidget Girton', 'Barton Tomney', 'Mellisa Aburrow', 'Rivy Shreeve', 'Barbabra Espinha', 'Fidelio Kimmince', 'Bendix Lavens', 'Michaela Skains', 'Isadore Woodruff', 'Doralyn Davidowsky', 'Quinn Tett', 'Harriett Curman', 'Ephraim Dicks', 'Mayor Cords', 'Mattheus Bowcock', 'Nataniel Gadsdon', 'Sharyl Bolver', 'Kristo Rizzi', 'Andromache Gregan', 'Modestia Strete', 'Malva Reach', 'Lanie Myton', 'Stern Grandisson', 'Carlyn Emmins', 'Mikkel Dalston', 'Dina Curtoys', 'Daloris Pasquale', 'Lenora Alexandrescu', 'Harbert Flag', 'Niles Hucquart', 'Nananne Castledine', 'Wallache Lasseter', 'Jordan Thornally', 'Dallas Aldred', 'Theodore Dugget', 'Carlita Dillinger', 'Giles Lulham', 'Micah Frizzell', 'Corenda Dunsford', 'Carrol Wittke', 'Aylmar Frayn', 'Melisa Farenden', 'Diarmid Goodboddy', 'Gregoire Pinsent', 'Roderigo Palumbo', 'Lion Deny', 'Rhys Wyeth', 'Madella Hold', 'Agata Leates', 'Angelica O\'Kennedy', 'Webb Coen', 'Dorris McAlpine', 'Oswell Castelijn', 'Rolfe Burns', 'Marion Kirkam', 'Stefania Millichip', 'Arlette Tufts', 'Dre Lewzey', 'Jaymee Markel', 'Helen-elizabeth Eich', 'Melodee Deveral', 'Darell Borne', 'Junette Burkill', 'Winonah Obbard', 'Ansel Dibsdale', 'Rozalie Chidley', 'Saree Greendale', 'Nanine Eisikowitch', 'Nisse Forbear', 'Kit Tournay', 'Thia Boorn', 'Vivie Aspinal', 'Dirk Wigan', 'Tammie Knowlson', 'Morten Purcell', 'Eolanda Messum', 'Samuele Heineken', 'Cam Fyndon', 'Zane Horwell', 'Gabie Mazey', 'Durward Healey', 'Des Ellams', 'Gabrila Molen', 'Dimitri Limrick', 'Filmore Slemming', 'Zaccaria Jencken', 'Raimondo Cathcart', 'Raymond Skipper', 'Garrek Labden', 'Wolfy Fabri', 'Jarrad D\'Alessandro', 'Calli Ainley', 'Sayres Train', 'Malissia Gilbride', 'Cornell Colclough', 'Jens Clackson', 'Filippo Spoure', 'Leigh Tremouille', 'Aldon Rois', 'Rey Lethieulier', 'Whit Vasic', 'Melly Blankhorn', 'Dorie Anker', 'Brier Rosbrough', 'Manon Phipard-Shears', 'Sondra Spencers', 'Mylo Pease', 'Rhea Antyshev', 'Rosa Crellin', 'Marlee Chaster', 'Erie Frankema', 'Gonzalo McCrillis', 'Sadella Zink', 'Roscoe Paffot', 'Angel Armal', 'Clifford Sackes', 'Kiah Velasquez', 'Dewey Jobern', 'Elnar Free', 'Paule Shannon', 'Fawne Cassar', 'Shawnee Mc Ilwrick', 'Jessie Stops', 'Sharlene Blaiklock', 'Anna-diana Gockeler', 'Mahala Offell', 'Jourdan Skipp', 'Ignacius Wathall', 'Marijn Maber', 'Alexandr Lathey', 'Sutton Lambrecht', 'Michael Penhaligon', 'Rebbecca Kinnin', 'Mill Hickford', 'Bendick Wheadon', 'Sissie Kiss', 'Dan Reeders', 'Valentine Swadlin', 'Odessa Sancias', 'Lurlene Woolford', 'Donica Fearenside', 'Ortensia Galpen', 'Cthrine Lilian', 'Gaby Thresh', 'Dalis Whyberd', 'Colver Malster', 'Nomi Klesl', 'Winston Slyne', 'Bianca Hazzard', 'Gaultiero Rottcher', 'Arte Fairfoul', 'Bendite Ardling', 'Aggy Spearett', 'Fremont McKirton', 'Phillis Addlestone', 'Zelig Durman', 'Bo Bremond', 'Luz Stirrup', 'Ofelia Andreotti', 'Morey Gilhool', 'Derril Brisse', 'Dian Denness', 'Feodora Michie', 'Sheri Screach', 'Kellina Braxay', 'Nanni Handslip', 'Cobby Grzelczyk', 'Alf Bankes', 'Jim Crichmere', 'Calypso Cheshir', 'Waring Altimas', 'Nikos MacMurray', 'Web Blayney', 'Barbe Meachan', 'Fonz Rennebach', 'Electra Neissen', 'Reynolds Peterffy', 'Murry Hannam', 'Ileana Rodolfi', 'Star Lauritsen', 'Reginald Maliphant', 'Minny Flanne', 'Delmer Cornil', 'Vina Ion', 'Arnold Krelle', 'Sayres Kernan', 'Matti Ilyukhov', 'Hastings Von Oertzen', 'Thea Hugenin', 'Maurise Leitch', 'Marsha Falck', 'Merry Ladlow', 'Mandi Fouracre', 'Emmett Kahan', 'Ronnie Chastan', 'Ricoriki Shah', 'Kevin Burfoot', 'Felicia Dyke', 'Corena Glazer', 'Eirena Skillen', 'Pierce Jobling', 'Blythe Gambles', 'Orella Ollett', 'Cristin Callendar', 'Killian Cromar', 'Pembroke Carlyle', 'Ben Toopin', 'Ansel Shoebrook', 'Timmy Huyghe', 'Noni Seccombe', 'Georgianne Larcier', 'Jimmy Pannaman', 'Antonio Nuccitelli', 'Hildy Angier', 'Grenville Baise', 'Blakelee Addekin', 'Raquela Karys', 'Sharline Blackler', 'Florrie Ricks', 'Lou Osan', 'Charmian Mount', 'Dunc Houdhury', 'Nelle Illingsworth', 'Audra Jeannel', 'Raoul Church', 'Adrien Grigoriscu', 'Sybilla Benzi', 'Natal Lamke', 'Burgess Furphy', 'Vaughan Yakubovich', 'Laverna Snarr', 'Ettore Blanpein', 'Chrissy Cranshaw', 'Reg Rispin', 'Raymund Uccelli', 'Irv Baskerville', 'Preston Hembling', 'Lew Battershall', 'Leigh Gingles', 'Benjamin Chicchetto', 'Ailina Padden', 'Dasya Terbruggen', 'Gerrie Danaher', 'Danyelle Finnigan', 'Benny Neeves', 'Prescott Trappe', 'Marya Burstowe', 'Pincas Ludlem', 'Bondie Patton', 'Robena Friedlos', 'Kelila Minithorpe', 'Shalom Bargery', 'Cad Grosvener', 'Alisun Ranklin', 'Rustie Inold', 'Domenic Crosser', 'Silas Hannan', 'Benny Tax', 'Gabrielle Rickardsson', 'Jannel Dominetti', 'Ron Shewen', 'Saidee Dorken', 'Cart Pullman', 'Jaquelyn Chrispin', 'Theressa Coil', 'Judah Ritchman', 'Tammie Ivantsov', 'Rubetta Hemstead', 'Fifine McGuggy', 'Consolata Pendrill', 'Raquel Brokenshire', 'Audry Physick', 'Siusan Magner', 'Napoleon Hoggins', 'Skipp Besson', 'Myrvyn Caruth', 'Meredithe Pickworth', 'Dudley Worters', 'Anatollo Kenefick', 'Maurits Di Ruggero', 'Odetta Hanalan', 'Brittani Moorman', 'Marilee Pickering', 'Jo-anne Tweedy', 'Bing Enochsson', 'Baird Hebborne', 'Jervis Brierton', 'Frederick Boorn', 'Alane Bertin', 'Danita Dytham', 'Ruby Craufurd', 'Miller Godwin', 'Giacobo Erwin', 'Cary Stryde', 'Hephzibah Fiddy', 'Tadd Saunton', 'Linnie Halsted', 'Beauregard Selvey', 'Marlow Cappleman', 'Kissiah Mannering', 'Meriel Poschel', 'Sanders Althrop', 'Delmar Shelford', 'Ailene Trahair', 'Merci Garrie', 'Lance Isaak', 'Rafe Maier', 'Somerset Kern', 'Quincy Fayerbrother', 'Gussy Kits', 'Ode Cownden', 'Cairistiona Gocke', 'Patrice Freebury', 'Gavra Cuell', 'Edita Liebermann', 'Zonnya Stanborough', 'Goraud Bence', 'Pen Headington', 'Charyl Leap', 'Cherrita Danilov', 'Derward Murney', 'Gayla Martinec', 'Joly Furman', 'Frasco Antoney', 'Kahlil Cawthorne', 'Billie Burkart', 'Jobey Ilyin', 'Virginia Frayn', 'Toni Cosgrove', 'Pamella Rodgerson', 'Rubia Thorndycraft', 'Ezechiel Aubray', 'Marlowe Drew-Clifton', 'Charlotta Cainey', 'Allyson Braikenridge', 'Alidia Tutt', 'Margaretha Ovendale', 'Beatrisa Ilett', 'Wilfrid Ellson', 'Alvera Slym', 'Ann Brocklebank', 'Nisse Bleiman', 'Allan Limbourne', 'Myrtie Althrop', 'Arden Zmitrichenko', 'Ileana Leifer', 'Elva Hewes', 'Felecia Galland', 'Tamara Pinsent', 'Marlon Gleadle', 'Sorcha Sallowaye', 'Letizia Trenouth', 'Claudio Hammer', 'Roberto Neill', 'Terrijo Hansman', 'Yank Darrigrand', 'Agna Perutto', 'Thekla Verillo', 'Gonzalo Spilsburie', 'Bern Crowhurst', 'Odetta Depka', 'Marlowe Fellenor', 'Prescott De Rechter', 'Karoline Tolotti', 'Hadley Caddell', 'Hewie Smiley', 'Sharla Stryde', 'Nolana Stern', 'Merwin Bassill', 'Ikey Longforth', 'Holly Chaperlin', 'Fowler Yurin', 'Wally Colomb', 'Ricky Ibert', 'Audry Joris', 'Vanna Sponton', 'Zeke Prettyjohn', 'Clayson McClifferty', 'Clare Allot', 'Bowie De Bruijne', 'Gordie Jentgens', 'Alyss Hazelgreave', 'Lisette Danks', 'Poppy Haysar', 'Bryn Bubbear', 'Glori Darco', 'Manuel Plevin', 'Erika Oldford', 'Gottfried O\'Currine ', 'Clywd Claasen', 'Kass Judgkins', 'Noella Langfat', 'Damian Conan', 'Patrizius Culp', 'Gwennie Jenner', 'Lyman Hollow', 'Gayelord Brunke', 'Blane Zywicki', 'Tibold Crielly', 'Roman Wankling', 'Rosaline Skullet', 'Adele Muffin', 'Demetria Peete', 'Stanislaw Spera', 'Rolph Ivanyutin', 'Trixie Brislawn', 'Freda Bower', 'Dorree Lardeur', 'Benni Petzolt', 'Joseph Dunbleton', 'Hart Dimont', 'Dwayne Liddyard', 'Conrad Smalls' ]; } export const data = getData();
(function (global) { window.process = { env: { NODE_ENV: "production" } } System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true, react: true }, meta: { '*.css': { loader: 'css' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { 'jszip': 'npm:jszip/dist/jszip.js', '@mescius/wijmo': 'npm:@mescius/wijmo/index.js', '@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js', '@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles', '@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures', '@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js', '@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js', '@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js', '@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js', '@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js', '@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js', '@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js', '@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js', '@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js', '@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js', '@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js', '@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js', '@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js', '@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js', '@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js', '@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js', '@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js', '@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js', '@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js', '@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js', '@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js', '@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js', '@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js', '@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js', '@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js', '@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js', '@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js', '@mescius/wijmo.grid.immutable': 'npm:@mescius/wijmo.grid.immutable/index.js', '@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js', '@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js', '@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js', '@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js', '@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js', '@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js', '@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js', '@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js', '@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js', '@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js', '@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js', '@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js', '@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js', '@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js', '@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js', '@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js', "@mescius/wijmo.react.chart.analytics": "npm:@mescius/wijmo.react.chart.analytics/index.js", "@mescius/wijmo.react.chart.animation": "npm:@mescius/wijmo.react.chart.animation/index.js", "@mescius/wijmo.react.chart.annotation": "npm:@mescius/wijmo.react.chart.annotation/index.js", "@mescius/wijmo.react.chart.finance.analytics": "npm:@mescius/wijmo.react.chart.finance.analytics/index.js", "@mescius/wijmo.react.chart.finance": "npm:@mescius/wijmo.react.chart.finance/index.js", "@mescius/wijmo.react.chart.hierarchical": "npm:@mescius/wijmo.react.chart.hierarchical/index.js", "@mescius/wijmo.react.chart.interaction": "npm:@mescius/wijmo.react.chart.interaction/index.js", "@mescius/wijmo.react.chart.radar": "npm:@mescius/wijmo.react.chart.radar/index.js", "@mescius/wijmo.react.chart": "npm:@mescius/wijmo.react.chart/index.js", "@mescius/wijmo.react.core": "npm:@mescius/wijmo.react.core/index.js", '@mescius/wijmo.react.chart.map': 'npm:@mescius/wijmo.react.chart.map/index.js', "@mescius/wijmo.react.gauge": "npm:@mescius/wijmo.react.gauge/index.js", "@mescius/wijmo.react.grid.detail": "npm:@mescius/wijmo.react.grid.detail/index.js", "@mescius/wijmo.react.grid.filter": "npm:@mescius/wijmo.react.grid.filter/index.js", "@mescius/wijmo.react.grid.grouppanel": "npm:@mescius/wijmo.react.grid.grouppanel/index.js", '@mescius/wijmo.react.grid.search': 'npm:@mescius/wijmo.react.grid.search/index.js', "@mescius/wijmo.react.grid.multirow": "npm:@mescius/wijmo.react.grid.multirow/index.js", "@mescius/wijmo.react.grid.sheet": "npm:@mescius/wijmo.react.grid.sheet/index.js", '@mescius/wijmo.react.grid.transposed': 'npm:@mescius/wijmo.react.grid.transposed/index.js', '@mescius/wijmo.react.grid.transposedmultirow': 'npm:@mescius/wijmo.react.grid.transposedmultirow/index.js', '@mescius/wijmo.react.grid.immutable': 'npm:@mescius/wijmo.react.grid.immutable/index.js', "@mescius/wijmo.react.grid": "npm:@mescius/wijmo.react.grid/index.js", "@mescius/wijmo.react.input": "npm:@mescius/wijmo.react.input/index.js", "@mescius/wijmo.react.olap": "npm:@mescius/wijmo.react.olap/index.js", "@mescius/wijmo.react.viewer": "npm:@mescius/wijmo.react.viewer/index.js", "@mescius/wijmo.react.nav": "npm:@mescius/wijmo.react.nav/index.js", "@mescius/wijmo.react.base": "npm:@mescius/wijmo.react.base/index.js", '@mescius/wijmo.react.barcode.common': 'npm:@mescius/wijmo.react.barcode.common/index.js', '@mescius/wijmo.react.barcode.composite': 'npm:@mescius/wijmo.react.barcode.composite/index.js', '@mescius/wijmo.react.barcode.specialized': 'npm:@mescius/wijmo.react.barcode.specialized/index.js', 'jszip': 'npm:jszip/dist/jszip.js', 'react': 'npm:react/index.js', 'react-dom': 'npm:react-dom/index.js', 'react-dom/client': 'npm:react-dom/client.js', "scheduler": "npm:scheduler/index.js", 'redux': 'npm:redux/dist/redux.min.js', 'react-redux': 'npm:react-redux/dist/react-redux.min.js', 'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css', 'css': 'npm:systemjs-plugin-css/css.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js', "react-use-event-hook": "npm:react-use-event-hook/dist/esm/useEvent.js", }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'jsx' }, "node_modules": { defaultExtension: 'js' }, } }); })(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import * as wijmo from '@mescius/wijmo';
//
import '@angular/compiler';
import { Component, Inject, enableProdMode, ɵresolveComponentResources } from '@angular/core';
import { BrowserModule, bootstrapApplication } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { WjInputModule } from '@mescius/wijmo.angular2.input';
import { DataService } from './app.data';
//
@Component({
standalone: true,
providers: [DataService],
imports: [WjInputModule, FormsModule, BrowserModule],
selector: 'app-component',
templateUrl: 'src/app.component.html',
})
export class AppComponent {
showGroups = true;
view: wijmo.CollectionView;
//
constructor(@Inject(DataService) private dataService: DataService) {
// create GroupDescription to group by initial
let gdInitial = new wijmo.GroupDescription();
gdInitial.groupNameFromItem = (item) => item[0];
//
// get grouped CollectionView
this.view = new wijmo.CollectionView(dataService.getData(), {
sortDescriptions: [''],
groupDescriptions: [gdInitial],
currentItem: null,
});
}
}
//
//
enableProdMode();
// Resolve resources (templateUrl, styleUrls etc), After resolution all URLs have been converted into `template` strings.
ɵresolveComponentResources(fetch).then(() => {
// Bootstrap application
bootstrapApplication(AppComponent).catch((err) => console.error(err));
});
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo CollectionView Grouping By Initial</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="container-fluid">
<div class="form-check">
<label for="showGroups" class="form-check-label">Show Groups</label>
<input id="showGroups" class="form-check-input" type="checkbox" [(ngModel)]="showGroups">
</div>
<div class="row">
<div class="col-xs-6">
<h4>
ComboBox:
</h4>
<wj-combo-box [itemsSource]="view" [showGroups]="showGroups"></wj-combo-box>
</div>
<div class="col-xs-6">
<h4>
ListBox:
</h4>
<wj-list-box [itemsSource]="view" [showGroups]="showGroups"></wj-list-box>
</div>
</div>
</div>
import { Injectable } from '@angular/core';
//
@Injectable()
export class DataService {
getData() {
return [
'Andrus Lockie',
'Davy Imos',
'Kathryn Lotze',
'Vin Colbran',
'Scarlett Spalls',
'Robbi Eckford',
'Feodor Rippin',
'Jami Balmforth',
'Wenonah Clemendot',
'Cortney Cota',
'Iormina Sullly',
'Leona Philpot',
'Renelle Dulinty',
'Dorella Gawthrope',
'Brenda Hannaway',
'Katya Thiem',
'Tommy Beenham',
'Dari Willets',
'Gilburt Seagrove',
'Silvana Gabbett',
'Noemi McCree',
'Jaquelyn Autie',
'D\'arcy Myton',
'Wash Petrasso',
'Bertrand Costi',
'Garrick Attyeo',
'Helaina Castle',
'Gauthier Hosby',
'Aime Danhel',
'Tiffie Sallis',
'Charmian Pettipher',
'Yolanthe Wildt',
'Toiboid Stoyles',
'Cati Lamble',
'Mohandas Bellord',
'Brew World',
'Dorri Davydochkin',
'Winonah Doudny',
'Sax Broadhead',
'Gilligan Maskelyne',
'Aldus McIntee',
'Pammy Sheivels',
'Israel Hodgin',
'Odo Berrisford',
'Aldo Lobell',
'Erik Ca',
'Roy Hallatt',
'Wally Edie',
'Ash Adamowicz',
'Alexandrina Whitney',
'Jenelle Matthis',
'Bobina Emlin',
'Emmet Townshend',
'Baudoin Dulen',
'Dominga MacPaik',
'Mela Guare',
'Edwina Scotchmoor',
'Dorree Creus',
'Ivor Burnep',
'Guinna Leggin',
'Marice Woodier',
'Jamesy Kettlewell',
'Mommy Barrows',
'Waylin Beeres',
'Preston Culham',
'Adolf Shirtcliffe',
'Jorey Rigge',
'Toni Huriche',
'Merrily Corryer',
'Ellary Jepson',
'Clemence Niblo',
'Petey Tireman',
'Juan Biddlecombe',
'Durand Eddy',
'Tersina Baggiani',
'Margery Philpotts',
'Robin Bonafacino',
'Dalia Kneebone',
'Libbi Bransdon',
'Parke Niblo',
'Clark Powell',
'Flory Bleythin',
'Chandler Olenov',
'Horton Birdis',
'Frazer Dragoe',
'Suzie Ackroyd',
'Adams Wilcox',
'Duane Ceschelli',
'Cris Vakhlov',
'Hodge Jedrzej',
'Alexio Ionnidis',
'Dalia Piotrowski',
'Rhodia Gritsunov',
'Melody Driuzzi',
'Gauthier Waycott',
'Ivy Domerque',
'Carolyne Gadsdon',
'Maison Durdan',
'Blancha Hissie',
'Ty Mouan',
'Ania Whittock',
'Riki Mariet',
'Tybi Levesley',
'Jemmie Ghilardini',
'Boniface Lighton',
'Janetta Gaskell',
'Darrelle Hartless',
'Theadora Taberer',
'Tabb Pawley',
'Cleavland Wardesworth',
'Risa Mary',
'Clovis Dilks',
'Linn Duckinfield',
'Rachele Tampen',
'Raeann Boddis',
'Lydon Warden',
'Kennedy Duberry',
'Barb Colegate',
'Regine Feldbrin',
'Kerr Boddie',
'Rube Giamuzzo',
'Thibaud Arnaldo',
'Gherardo Swinglehurst',
'Ofilia Obin',
'Jae Craigie',
'Benoit Rabson',
'Cass Kempston',
'Yard Drewson',
'Dex Aloshikin',
'Carlos Yurasov',
'Any Moriarty',
'Kaspar Broady',
'Vlad Maffucci',
'Ginelle Barus',
'Nance Gommey',
'Chandra Flay',
'Shem Woffinden',
'Theodor Coase',
'Jillana Olivet',
'Cornelle Donnan',
'Andie Bourrel',
'Miquela MacIlory',
'Schuyler Ramsbottom',
'Heddie Saull',
'Devi Boch',
'Sissie Gaunson',
'Porty Goodliffe',
'Donalt Bore',
'Elvyn Toffano',
'Mata Glassup',
'Maximilian Schanke',
'Kenton Tourle',
'Maurine Revitt',
'Hyacinthe Kira',
'Husain Nairy',
'Janaya Isted',
'Cindy Helling',
'Astrid Glasner',
'Ganny Treece',
'Marybelle Belson',
'Jarrod Ferreira',
'Stephine Rapier',
'Randene Hadenton',
'Amie Durrett',
'Rawley Arlidge',
'Rolf Cattrall',
'Germain Sibbons',
'Lynnette Akam',
'Bobinette Paige',
'Dido House',
'Helen-elizabeth Hedgecock',
'Gaylord McCuaig',
'Alexei Chaikovski',
'Beverlie Worral',
'Roana Quinevan',
'Collete Townson',
'Ezequiel Johanning',
'Alyce Shanley',
'Vilma Piscopello',
'Michel Amiss',
'Leia Monan',
'Ana Wedmore',
'Elnar Frankcom',
'Rachel Lovett',
'Rubia Hague',
'Andy Switland',
'Nonah Barkway',
'Lira Ardy',
'Kylila Hows',
'Sondra Meechan',
'Colly Skerritt',
'Lanae Morrissey',
'Lukas Eronie',
'Marjy Ffoulkes',
'Bern Pacey',
'Carroll Bentsen',
'Kim McCaw',
'Aigneis Tousy',
'Damita Dunderdale',
'Rahel Silvermann',
'Roosevelt Handes',
'Shandee Dutnall',
'Milicent Beevor',
'Oberon Bilbrook',
'Genia Etherton',
'Carlee Valenta',
'Edgard Lindholm',
'Tiebold Seeler',
'Peggie Withur',
'Steffie Ruppertz',
'Charles Kordas',
'Phylys Joscelin',
'Eberto Byrd',
'Ewan Ding',
'Gilemette Mewton',
'Linell Birkmyre',
'Faydra Tineman',
'Bidget Girton',
'Barton Tomney',
'Mellisa Aburrow',
'Rivy Shreeve',
'Barbabra Espinha',
'Fidelio Kimmince',
'Bendix Lavens',
'Michaela Skains',
'Isadore Woodruff',
'Doralyn Davidowsky',
'Quinn Tett',
'Harriett Curman',
'Ephraim Dicks',
'Mayor Cords',
'Mattheus Bowcock',
'Nataniel Gadsdon',
'Sharyl Bolver',
'Kristo Rizzi',
'Andromache Gregan',
'Modestia Strete',
'Malva Reach',
'Lanie Myton',
'Stern Grandisson',
'Carlyn Emmins',
'Mikkel Dalston',
'Dina Curtoys',
'Daloris Pasquale',
'Lenora Alexandrescu',
'Harbert Flag',
'Niles Hucquart',
'Nananne Castledine',
'Wallache Lasseter',
'Jordan Thornally',
'Dallas Aldred',
'Theodore Dugget',
'Carlita Dillinger',
'Giles Lulham',
'Micah Frizzell',
'Corenda Dunsford',
'Carrol Wittke',
'Aylmar Frayn',
'Melisa Farenden',
'Diarmid Goodboddy',
'Gregoire Pinsent',
'Roderigo Palumbo',
'Lion Deny',
'Rhys Wyeth',
'Madella Hold',
'Agata Leates',
'Angelica O\'Kennedy',
'Webb Coen',
'Dorris McAlpine',
'Oswell Castelijn',
'Rolfe Burns',
'Marion Kirkam',
'Stefania Millichip',
'Arlette Tufts',
'Dre Lewzey',
'Jaymee Markel',
'Helen-elizabeth Eich',
'Melodee Deveral',
'Darell Borne',
'Junette Burkill',
'Winonah Obbard',
'Ansel Dibsdale',
'Rozalie Chidley',
'Saree Greendale',
'Nanine Eisikowitch',
'Nisse Forbear',
'Kit Tournay',
'Thia Boorn',
'Vivie Aspinal',
'Dirk Wigan',
'Tammie Knowlson',
'Morten Purcell',
'Eolanda Messum',
'Samuele Heineken',
'Cam Fyndon',
'Zane Horwell',
'Gabie Mazey',
'Durward Healey',
'Des Ellams',
'Gabrila Molen',
'Dimitri Limrick',
'Filmore Slemming',
'Zaccaria Jencken',
'Raimondo Cathcart',
'Raymond Skipper',
'Garrek Labden',
'Wolfy Fabri',
'Jarrad D\'Alessandro',
'Calli Ainley',
'Sayres Train',
'Malissia Gilbride',
'Cornell Colclough',
'Jens Clackson',
'Filippo Spoure',
'Leigh Tremouille',
'Aldon Rois',
'Rey Lethieulier',
'Whit Vasic',
'Melly Blankhorn',
'Dorie Anker',
'Brier Rosbrough',
'Manon Phipard-Shears',
'Sondra Spencers',
'Mylo Pease',
'Rhea Antyshev',
'Rosa Crellin',
'Marlee Chaster',
'Erie Frankema',
'Gonzalo McCrillis',
'Sadella Zink',
'Roscoe Paffot',
'Angel Armal',
'Clifford Sackes',
'Kiah Velasquez',
'Dewey Jobern',
'Elnar Free',
'Paule Shannon',
'Fawne Cassar',
'Shawnee Mc Ilwrick',
'Jessie Stops',
'Sharlene Blaiklock',
'Anna-diana Gockeler',
'Mahala Offell',
'Jourdan Skipp',
'Ignacius Wathall',
'Marijn Maber',
'Alexandr Lathey',
'Sutton Lambrecht',
'Michael Penhaligon',
'Rebbecca Kinnin',
'Mill Hickford',
'Bendick Wheadon',
'Sissie Kiss',
'Dan Reeders',
'Valentine Swadlin',
'Odessa Sancias',
'Lurlene Woolford',
'Donica Fearenside',
'Ortensia Galpen',
'Cthrine Lilian',
'Gaby Thresh',
'Dalis Whyberd',
'Colver Malster',
'Nomi Klesl',
'Winston Slyne',
'Bianca Hazzard',
'Gaultiero Rottcher',
'Arte Fairfoul',
'Bendite Ardling',
'Aggy Spearett',
'Fremont McKirton',
'Phillis Addlestone',
'Zelig Durman',
'Bo Bremond',
'Luz Stirrup',
'Ofelia Andreotti',
'Morey Gilhool',
'Derril Brisse',
'Dian Denness',
'Feodora Michie',
'Sheri Screach',
'Kellina Braxay',
'Nanni Handslip',
'Cobby Grzelczyk',
'Alf Bankes',
'Jim Crichmere',
'Calypso Cheshir',
'Waring Altimas',
'Nikos MacMurray',
'Web Blayney',
'Barbe Meachan',
'Fonz Rennebach',
'Electra Neissen',
'Reynolds Peterffy',
'Murry Hannam',
'Ileana Rodolfi',
'Star Lauritsen',
'Reginald Maliphant',
'Minny Flanne',
'Delmer Cornil',
'Vina Ion',
'Arnold Krelle',
'Sayres Kernan',
'Matti Ilyukhov',
'Hastings Von Oertzen',
'Thea Hugenin',
'Maurise Leitch',
'Marsha Falck',
'Merry Ladlow',
'Mandi Fouracre',
'Emmett Kahan',
'Ronnie Chastan',
'Ricoriki Shah',
'Kevin Burfoot',
'Felicia Dyke',
'Corena Glazer',
'Eirena Skillen',
'Pierce Jobling',
'Blythe Gambles',
'Orella Ollett',
'Cristin Callendar',
'Killian Cromar',
'Pembroke Carlyle',
'Ben Toopin',
'Ansel Shoebrook',
'Timmy Huyghe',
'Noni Seccombe',
'Georgianne Larcier',
'Jimmy Pannaman',
'Antonio Nuccitelli',
'Hildy Angier',
'Grenville Baise',
'Blakelee Addekin',
'Raquela Karys',
'Sharline Blackler',
'Florrie Ricks',
'Lou Osan',
'Charmian Mount',
'Dunc Houdhury',
'Nelle Illingsworth',
'Audra Jeannel',
'Raoul Church',
'Adrien Grigoriscu',
'Sybilla Benzi',
'Natal Lamke',
'Burgess Furphy',
'Vaughan Yakubovich',
'Laverna Snarr',
'Ettore Blanpein',
'Chrissy Cranshaw',
'Reg Rispin',
'Raymund Uccelli',
'Irv Baskerville',
'Preston Hembling',
'Lew Battershall',
'Leigh Gingles',
'Benjamin Chicchetto',
'Ailina Padden',
'Dasya Terbruggen',
'Gerrie Danaher',
'Danyelle Finnigan',
'Benny Neeves',
'Prescott Trappe',
'Marya Burstowe',
'Pincas Ludlem',
'Bondie Patton',
'Robena Friedlos',
'Kelila Minithorpe',
'Shalom Bargery',
'Cad Grosvener',
'Alisun Ranklin',
'Rustie Inold',
'Domenic Crosser',
'Silas Hannan',
'Benny Tax',
'Gabrielle Rickardsson',
'Jannel Dominetti',
'Ron Shewen',
'Saidee Dorken',
'Cart Pullman',
'Jaquelyn Chrispin',
'Theressa Coil',
'Judah Ritchman',
'Tammie Ivantsov',
'Rubetta Hemstead',
'Fifine McGuggy',
'Consolata Pendrill',
'Raquel Brokenshire',
'Audry Physick',
'Siusan Magner',
'Napoleon Hoggins',
'Skipp Besson',
'Myrvyn Caruth',
'Meredithe Pickworth',
'Dudley Worters',
'Anatollo Kenefick',
'Maurits Di Ruggero',
'Odetta Hanalan',
'Brittani Moorman',
'Marilee Pickering',
'Jo-anne Tweedy',
'Bing Enochsson',
'Baird Hebborne',
'Jervis Brierton',
'Frederick Boorn',
'Alane Bertin',
'Danita Dytham',
'Ruby Craufurd',
'Miller Godwin',
'Giacobo Erwin',
'Cary Stryde',
'Hephzibah Fiddy',
'Tadd Saunton',
'Linnie Halsted',
'Beauregard Selvey',
'Marlow Cappleman',
'Kissiah Mannering',
'Meriel Poschel',
'Sanders Althrop',
'Delmar Shelford',
'Ailene Trahair',
'Merci Garrie',
'Lance Isaak',
'Rafe Maier',
'Somerset Kern',
'Quincy Fayerbrother',
'Gussy Kits',
'Ode Cownden',
'Cairistiona Gocke',
'Patrice Freebury',
'Gavra Cuell',
'Edita Liebermann',
'Zonnya Stanborough',
'Goraud Bence',
'Pen Headington',
'Charyl Leap',
'Cherrita Danilov',
'Derward Murney',
'Gayla Martinec',
'Joly Furman',
'Frasco Antoney',
'Kahlil Cawthorne',
'Billie Burkart',
'Jobey Ilyin',
'Virginia Frayn',
'Toni Cosgrove',
'Pamella Rodgerson',
'Rubia Thorndycraft',
'Ezechiel Aubray',
'Marlowe Drew-Clifton',
'Charlotta Cainey',
'Allyson Braikenridge',
'Alidia Tutt',
'Margaretha Ovendale',
'Beatrisa Ilett',
'Wilfrid Ellson',
'Alvera Slym',
'Ann Brocklebank',
'Nisse Bleiman',
'Allan Limbourne',
'Myrtie Althrop',
'Arden Zmitrichenko',
'Ileana Leifer',
'Elva Hewes',
'Felecia Galland',
'Tamara Pinsent',
'Marlon Gleadle',
'Sorcha Sallowaye',
'Letizia Trenouth',
'Claudio Hammer',
'Roberto Neill',
'Terrijo Hansman',
'Yank Darrigrand',
'Agna Perutto',
'Thekla Verillo',
'Gonzalo Spilsburie',
'Bern Crowhurst',
'Odetta Depka',
'Marlowe Fellenor',
'Prescott De Rechter',
'Karoline Tolotti',
'Hadley Caddell',
'Hewie Smiley',
'Sharla Stryde',
'Nolana Stern',
'Merwin Bassill',
'Ikey Longforth',
'Holly Chaperlin',
'Fowler Yurin',
'Wally Colomb',
'Ricky Ibert',
'Audry Joris',
'Vanna Sponton',
'Zeke Prettyjohn',
'Clayson McClifferty',
'Clare Allot',
'Bowie De Bruijne',
'Gordie Jentgens',
'Alyss Hazelgreave',
'Lisette Danks',
'Poppy Haysar',
'Bryn Bubbear',
'Glori Darco',
'Manuel Plevin',
'Erika Oldford',
'Gottfried O\'Currine ',
'Clywd Claasen',
'Kass Judgkins',
'Noella Langfat',
'Damian Conan',
'Patrizius Culp',
'Gwennie Jenner',
'Lyman Hollow',
'Gayelord Brunke',
'Blane Zywicki',
'Tibold Crielly',
'Roman Wankling',
'Rosaline Skullet',
'Adele Muffin',
'Demetria Peete',
'Stanislaw Spera',
'Rolph Ivanyutin',
'Trixie Brislawn',
'Freda Bower',
'Dorree Lardeur',
'Benni Petzolt',
'Joseph Dunbleton',
'Hart Dimont',
'Dwayne Liddyard',
'Conrad Smalls'
];
}
}
.wj-listbox {
height: 200px;
display: block;
}
.wj-listbox .wj-listbox-item {
line-height: 2em;
}
.wj-listbox .wj-listbox-item.wj-header {
opacity: 1;
position: sticky;
top: 0;
font-size: 125%;
}
label {
margin-right: 3px;
}
body {
margin-bottom: 40pt;
}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: 'node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' },
'*.mjs': {
format: 'esm'
},
},
paths: {
// paths serve as alias
'npm:': ''
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'core-js': 'https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js',
'typescript': 'https://cdnjs.cloudflare.com/ajax/libs/typescript/5.2.2/typescript.min.js',
"rxjs": "https://cdnjs.cloudflare.com/ajax/libs/rxjs/7.8.1/rxjs.umd.min.js",
'systemjs-plugin-css': 'https://cdn.jsdelivr.net/npm/systemjs-plugin-css@0.1.37/css.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.angular2.chart.analytics": "npm:@mescius/wijmo.angular2.chart.analytics/index.js",
"@mescius/wijmo.angular2.chart.animation": "npm:@mescius/wijmo.angular2.chart.animation/index.js",
"@mescius/wijmo.angular2.chart.annotation": "npm:@mescius/wijmo.angular2.chart.annotation/index.js",
"@mescius/wijmo.angular2.chart.finance.analytics": "npm:@mescius/wijmo.angular2.chart.finance.analytics/index.js",
"@mescius/wijmo.angular2.chart.finance": "npm:@mescius/wijmo.angular2.chart.finance/index.js",
"@mescius/wijmo.angular2.chart.hierarchical": "npm:@mescius/wijmo.angular2.chart.hierarchical/index.js",
"@mescius/wijmo.angular2.chart.interaction": "npm:@mescius/wijmo.angular2.chart.interaction/index.js",
"@mescius/wijmo.angular2.chart.radar": "npm:@mescius/wijmo.angular2.chart.radar/index.js",
'@mescius/wijmo.angular2.chart.map': 'npm:@mescius/wijmo.angular2.chart.map/index.js',
"@mescius/wijmo.angular2.chart": "npm:@mescius/wijmo.angular2.chart/index.js",
"@mescius/wijmo.angular2.core": "npm:@mescius/wijmo.angular2.core/index.js",
"@mescius/wijmo.angular2.gauge": "npm:@mescius/wijmo.angular2.gauge/index.js",
"@mescius/wijmo.angular2.grid.detail": "npm:@mescius/wijmo.angular2.grid.detail/index.js",
"@mescius/wijmo.angular2.grid.filter": "npm:@mescius/wijmo.angular2.grid.filter/index.js",
"@mescius/wijmo.angular2.grid.grouppanel": "npm:@mescius/wijmo.angular2.grid.grouppanel/index.js",
"@mescius/wijmo.angular2.grid.search": "npm:@mescius/wijmo.angular2.grid.search/index.js",
"@mescius/wijmo.angular2.grid.multirow": "npm:@mescius/wijmo.angular2.grid.multirow/index.js",
"@mescius/wijmo.angular2.grid.sheet": "npm:@mescius/wijmo.angular2.grid.sheet/index.js",
'@mescius/wijmo.angular2.grid.transposed': 'npm:@mescius/wijmo.angular2.grid.transposed/index.js',
'@mescius/wijmo.angular2.grid.transposedmultirow': 'npm:@mescius/wijmo.angular2.grid.transposedmultirow/index.js',
"@mescius/wijmo.angular2.grid": "npm:@mescius/wijmo.angular2.grid/index.js",
"@mescius/wijmo.angular2.input": "npm:@mescius/wijmo.angular2.input/index.js",
"@mescius/wijmo.angular2.olap": "npm:@mescius/wijmo.angular2.olap/index.js",
"@mescius/wijmo.angular2.viewer": "npm:@mescius/wijmo.angular2.viewer/index.js",
"@mescius/wijmo.angular2.nav": "npm:@mescius/wijmo.angular2.nav/index.js",
"@mescius/wijmo.angular2.directivebase": "npm:@mescius/wijmo.angular2.directivebase/index.js",
'@mescius/wijmo.angular2.barcode.common': 'npm:@mescius/wijmo.angular2.barcode.common/index.js',
'@mescius/wijmo.angular2.barcode.composite': 'npm:@mescius/wijmo.angular2.barcode.composite/index.js',
'@mescius/wijmo.angular2.barcode.specialized': 'npm:@mescius/wijmo.angular2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js',
'@angular/core': 'npm:@angular/core/fesm2022/core.mjs',
'@angular/core/primitives/di': 'npm:@angular/core/fesm2022/primitives/di.mjs',
'@angular/core/primitives/signals': 'npm:@angular/core/fesm2022/primitives/signals.mjs',
'@angular/core/primitives/event-dispatch': 'npm:@angular/core/fesm2022/primitives/event-dispatch.mjs',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/http': 'npm:@angular/http/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);

Grouping By Initial (Vue)

This sample demonstrates grouping by a value instead of a field or property name. The GroupDescription's groupNameFromItem method is overridden to create a calculated value, which determines the group category. The items are grouped by first letter.

This example uses Vue.

<template> <div class="container-fluid"> <div class="form-check"> <label for="showGroups" class="form-check-label">Show Groups</label> <input id="showGroups" class="form-check-input" type="checkbox" v-model="showGroups"> </div> <div class="row"> <div class="col-xs-6"> <h4> ComboBox: </h4> <wj-combo-box :items-source="view" :show-groups="showGroups"></wj-combo-box> </div> <div class="col-xs-6"> <h4> ListBox: </h4> <wj-list-box :items-source="view" :show-groups="showGroups"></wj-list-box> </div> </div> </div> </template> <script setup> import * as wijmo from "@mescius/wijmo"; import { getData } from "./data"; import { ref, computed } from "vue"; const showGroups = ref(true); const view = computed(() => { // Create GroupDescription to group by initial const gdInitial = new wijmo.GroupDescription(); gdInitial.groupNameFromItem = item => item[0]; // Get grouped CollectionView return new wijmo.CollectionView(getData(), { sortDescriptions: [''], groupDescriptions: [gdInitial], currentItem: null }); }); </script> <style> .container-fluid .wj-listbox { height: 200px; display: block; } .container-fluid .wj-listbox .wj-listbox-item { line-height: 2em; } .container-fluid .wj-listbox .wj-listbox-item.wj-header { opacity: 1; position: sticky; top: 0; font-size: 125%; } label { margin-right: 3px; } body { margin-bottom: 40pt; } </style>
<!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8"> <meta http-equiv="X-UA-Compatible" content="IE=edge"> <title>MESCIUS Wijmo CollectionView Grouping By Initial</title> <meta name="viewport" content="width=device-width, initial-scale=1.0"> <!-- SystemJS --> <script src="compiler.js" type="module"></script> <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script> <script src="systemjs.config.js"></script> <script> System.import('./src/app.js'); </script> </head> <body> <div id="app"> </div> </body> </html>
export function getData(callback, delay) { return [ 'Andrus Lockie', 'Davy Imos', 'Kathryn Lotze', 'Vin Colbran', 'Scarlett Spalls', 'Robbi Eckford', 'Feodor Rippin', 'Jami Balmforth', 'Wenonah Clemendot', 'Cortney Cota', 'Iormina Sullly', 'Leona Philpot', 'Renelle Dulinty', 'Dorella Gawthrope', 'Brenda Hannaway', 'Katya Thiem', 'Tommy Beenham', 'Dari Willets', 'Gilburt Seagrove', 'Silvana Gabbett', 'Noemi McCree', 'Jaquelyn Autie', 'D\'arcy Myton', 'Wash Petrasso', 'Bertrand Costi', 'Garrick Attyeo', 'Helaina Castle', 'Gauthier Hosby', 'Aime Danhel', 'Tiffie Sallis', 'Charmian Pettipher', 'Yolanthe Wildt', 'Toiboid Stoyles', 'Cati Lamble', 'Mohandas Bellord', 'Brew World', 'Dorri Davydochkin', 'Winonah Doudny', 'Sax Broadhead', 'Gilligan Maskelyne', 'Aldus McIntee', 'Pammy Sheivels', 'Israel Hodgin', 'Odo Berrisford', 'Aldo Lobell', 'Erik Ca', 'Roy Hallatt', 'Wally Edie', 'Ash Adamowicz', 'Alexandrina Whitney', 'Jenelle Matthis', 'Bobina Emlin', 'Emmet Townshend', 'Baudoin Dulen', 'Dominga MacPaik', 'Mela Guare', 'Edwina Scotchmoor', 'Dorree Creus', 'Ivor Burnep', 'Guinna Leggin', 'Marice Woodier', 'Jamesy Kettlewell', 'Mommy Barrows', 'Waylin Beeres', 'Preston Culham', 'Adolf Shirtcliffe', 'Jorey Rigge', 'Toni Huriche', 'Merrily Corryer', 'Ellary Jepson', 'Clemence Niblo', 'Petey Tireman', 'Juan Biddlecombe', 'Durand Eddy', 'Tersina Baggiani', 'Margery Philpotts', 'Robin Bonafacino', 'Dalia Kneebone', 'Libbi Bransdon', 'Parke Niblo', 'Clark Powell', 'Flory Bleythin', 'Chandler Olenov', 'Horton Birdis', 'Frazer Dragoe', 'Suzie Ackroyd', 'Adams Wilcox', 'Duane Ceschelli', 'Cris Vakhlov', 'Hodge Jedrzej', 'Alexio Ionnidis', 'Dalia Piotrowski', 'Rhodia Gritsunov', 'Melody Driuzzi', 'Gauthier Waycott', 'Ivy Domerque', 'Carolyne Gadsdon', 'Maison Durdan', 'Blancha Hissie', 'Ty Mouan', 'Ania Whittock', 'Riki Mariet', 'Tybi Levesley', 'Jemmie Ghilardini', 'Boniface Lighton', 'Janetta Gaskell', 'Darrelle Hartless', 'Theadora Taberer', 'Tabb Pawley', 'Cleavland Wardesworth', 'Risa Mary', 'Clovis Dilks', 'Linn Duckinfield', 'Rachele Tampen', 'Raeann Boddis', 'Lydon Warden', 'Kennedy Duberry', 'Barb Colegate', 'Regine Feldbrin', 'Kerr Boddie', 'Rube Giamuzzo', 'Thibaud Arnaldo', 'Gherardo Swinglehurst', 'Ofilia Obin', 'Jae Craigie', 'Benoit Rabson', 'Cass Kempston', 'Yard Drewson', 'Dex Aloshikin', 'Carlos Yurasov', 'Any Moriarty', 'Kaspar Broady', 'Vlad Maffucci', 'Ginelle Barus', 'Nance Gommey', 'Chandra Flay', 'Shem Woffinden', 'Theodor Coase', 'Jillana Olivet', 'Cornelle Donnan', 'Andie Bourrel', 'Miquela MacIlory', 'Schuyler Ramsbottom', 'Heddie Saull', 'Devi Boch', 'Sissie Gaunson', 'Porty Goodliffe', 'Donalt Bore', 'Elvyn Toffano', 'Mata Glassup', 'Maximilian Schanke', 'Kenton Tourle', 'Maurine Revitt', 'Hyacinthe Kira', 'Husain Nairy', 'Janaya Isted', 'Cindy Helling', 'Astrid Glasner', 'Ganny Treece', 'Marybelle Belson', 'Jarrod Ferreira', 'Stephine Rapier', 'Randene Hadenton', 'Amie Durrett', 'Rawley Arlidge', 'Rolf Cattrall', 'Germain Sibbons', 'Lynnette Akam', 'Bobinette Paige', 'Dido House', 'Helen-elizabeth Hedgecock', 'Gaylord McCuaig', 'Alexei Chaikovski', 'Beverlie Worral', 'Roana Quinevan', 'Collete Townson', 'Ezequiel Johanning', 'Alyce Shanley', 'Vilma Piscopello', 'Michel Amiss', 'Leia Monan', 'Ana Wedmore', 'Elnar Frankcom', 'Rachel Lovett', 'Rubia Hague', 'Andy Switland', 'Nonah Barkway', 'Lira Ardy', 'Kylila Hows', 'Sondra Meechan', 'Colly Skerritt', 'Lanae Morrissey', 'Lukas Eronie', 'Marjy Ffoulkes', 'Bern Pacey', 'Carroll Bentsen', 'Kim McCaw', 'Aigneis Tousy', 'Damita Dunderdale', 'Rahel Silvermann', 'Roosevelt Handes', 'Shandee Dutnall', 'Milicent Beevor', 'Oberon Bilbrook', 'Genia Etherton', 'Carlee Valenta', 'Edgard Lindholm', 'Tiebold Seeler', 'Peggie Withur', 'Steffie Ruppertz', 'Charles Kordas', 'Phylys Joscelin', 'Eberto Byrd', 'Ewan Ding', 'Gilemette Mewton', 'Linell Birkmyre', 'Faydra Tineman', 'Bidget Girton', 'Barton Tomney', 'Mellisa Aburrow', 'Rivy Shreeve', 'Barbabra Espinha', 'Fidelio Kimmince', 'Bendix Lavens', 'Michaela Skains', 'Isadore Woodruff', 'Doralyn Davidowsky', 'Quinn Tett', 'Harriett Curman', 'Ephraim Dicks', 'Mayor Cords', 'Mattheus Bowcock', 'Nataniel Gadsdon', 'Sharyl Bolver', 'Kristo Rizzi', 'Andromache Gregan', 'Modestia Strete', 'Malva Reach', 'Lanie Myton', 'Stern Grandisson', 'Carlyn Emmins', 'Mikkel Dalston', 'Dina Curtoys', 'Daloris Pasquale', 'Lenora Alexandrescu', 'Harbert Flag', 'Niles Hucquart', 'Nananne Castledine', 'Wallache Lasseter', 'Jordan Thornally', 'Dallas Aldred', 'Theodore Dugget', 'Carlita Dillinger', 'Giles Lulham', 'Micah Frizzell', 'Corenda Dunsford', 'Carrol Wittke', 'Aylmar Frayn', 'Melisa Farenden', 'Diarmid Goodboddy', 'Gregoire Pinsent', 'Roderigo Palumbo', 'Lion Deny', 'Rhys Wyeth', 'Madella Hold', 'Agata Leates', 'Angelica O\'Kennedy', 'Webb Coen', 'Dorris McAlpine', 'Oswell Castelijn', 'Rolfe Burns', 'Marion Kirkam', 'Stefania Millichip', 'Arlette Tufts', 'Dre Lewzey', 'Jaymee Markel', 'Helen-elizabeth Eich', 'Melodee Deveral', 'Darell Borne', 'Junette Burkill', 'Winonah Obbard', 'Ansel Dibsdale', 'Rozalie Chidley', 'Saree Greendale', 'Nanine Eisikowitch', 'Nisse Forbear', 'Kit Tournay', 'Thia Boorn', 'Vivie Aspinal', 'Dirk Wigan', 'Tammie Knowlson', 'Morten Purcell', 'Eolanda Messum', 'Samuele Heineken', 'Cam Fyndon', 'Zane Horwell', 'Gabie Mazey', 'Durward Healey', 'Des Ellams', 'Gabrila Molen', 'Dimitri Limrick', 'Filmore Slemming', 'Zaccaria Jencken', 'Raimondo Cathcart', 'Raymond Skipper', 'Garrek Labden', 'Wolfy Fabri', 'Jarrad D\'Alessandro', 'Calli Ainley', 'Sayres Train', 'Malissia Gilbride', 'Cornell Colclough', 'Jens Clackson', 'Filippo Spoure', 'Leigh Tremouille', 'Aldon Rois', 'Rey Lethieulier', 'Whit Vasic', 'Melly Blankhorn', 'Dorie Anker', 'Brier Rosbrough', 'Manon Phipard-Shears', 'Sondra Spencers', 'Mylo Pease', 'Rhea Antyshev', 'Rosa Crellin', 'Marlee Chaster', 'Erie Frankema', 'Gonzalo McCrillis', 'Sadella Zink', 'Roscoe Paffot', 'Angel Armal', 'Clifford Sackes', 'Kiah Velasquez', 'Dewey Jobern', 'Elnar Free', 'Paule Shannon', 'Fawne Cassar', 'Shawnee Mc Ilwrick', 'Jessie Stops', 'Sharlene Blaiklock', 'Anna-diana Gockeler', 'Mahala Offell', 'Jourdan Skipp', 'Ignacius Wathall', 'Marijn Maber', 'Alexandr Lathey', 'Sutton Lambrecht', 'Michael Penhaligon', 'Rebbecca Kinnin', 'Mill Hickford', 'Bendick Wheadon', 'Sissie Kiss', 'Dan Reeders', 'Valentine Swadlin', 'Odessa Sancias', 'Lurlene Woolford', 'Donica Fearenside', 'Ortensia Galpen', 'Cthrine Lilian', 'Gaby Thresh', 'Dalis Whyberd', 'Colver Malster', 'Nomi Klesl', 'Winston Slyne', 'Bianca Hazzard', 'Gaultiero Rottcher', 'Arte Fairfoul', 'Bendite Ardling', 'Aggy Spearett', 'Fremont McKirton', 'Phillis Addlestone', 'Zelig Durman', 'Bo Bremond', 'Luz Stirrup', 'Ofelia Andreotti', 'Morey Gilhool', 'Derril Brisse', 'Dian Denness', 'Feodora Michie', 'Sheri Screach', 'Kellina Braxay', 'Nanni Handslip', 'Cobby Grzelczyk', 'Alf Bankes', 'Jim Crichmere', 'Calypso Cheshir', 'Waring Altimas', 'Nikos MacMurray', 'Web Blayney', 'Barbe Meachan', 'Fonz Rennebach', 'Electra Neissen', 'Reynolds Peterffy', 'Murry Hannam', 'Ileana Rodolfi', 'Star Lauritsen', 'Reginald Maliphant', 'Minny Flanne', 'Delmer Cornil', 'Vina Ion', 'Arnold Krelle', 'Sayres Kernan', 'Matti Ilyukhov', 'Hastings Von Oertzen', 'Thea Hugenin', 'Maurise Leitch', 'Marsha Falck', 'Merry Ladlow', 'Mandi Fouracre', 'Emmett Kahan', 'Ronnie Chastan', 'Ricoriki Shah', 'Kevin Burfoot', 'Felicia Dyke', 'Corena Glazer', 'Eirena Skillen', 'Pierce Jobling', 'Blythe Gambles', 'Orella Ollett', 'Cristin Callendar', 'Killian Cromar', 'Pembroke Carlyle', 'Ben Toopin', 'Ansel Shoebrook', 'Timmy Huyghe', 'Noni Seccombe', 'Georgianne Larcier', 'Jimmy Pannaman', 'Antonio Nuccitelli', 'Hildy Angier', 'Grenville Baise', 'Blakelee Addekin', 'Raquela Karys', 'Sharline Blackler', 'Florrie Ricks', 'Lou Osan', 'Charmian Mount', 'Dunc Houdhury', 'Nelle Illingsworth', 'Audra Jeannel', 'Raoul Church', 'Adrien Grigoriscu', 'Sybilla Benzi', 'Natal Lamke', 'Burgess Furphy', 'Vaughan Yakubovich', 'Laverna Snarr', 'Ettore Blanpein', 'Chrissy Cranshaw', 'Reg Rispin', 'Raymund Uccelli', 'Irv Baskerville', 'Preston Hembling', 'Lew Battershall', 'Leigh Gingles', 'Benjamin Chicchetto', 'Ailina Padden', 'Dasya Terbruggen', 'Gerrie Danaher', 'Danyelle Finnigan', 'Benny Neeves', 'Prescott Trappe', 'Marya Burstowe', 'Pincas Ludlem', 'Bondie Patton', 'Robena Friedlos', 'Kelila Minithorpe', 'Shalom Bargery', 'Cad Grosvener', 'Alisun Ranklin', 'Rustie Inold', 'Domenic Crosser', 'Silas Hannan', 'Benny Tax', 'Gabrielle Rickardsson', 'Jannel Dominetti', 'Ron Shewen', 'Saidee Dorken', 'Cart Pullman', 'Jaquelyn Chrispin', 'Theressa Coil', 'Judah Ritchman', 'Tammie Ivantsov', 'Rubetta Hemstead', 'Fifine McGuggy', 'Consolata Pendrill', 'Raquel Brokenshire', 'Audry Physick', 'Siusan Magner', 'Napoleon Hoggins', 'Skipp Besson', 'Myrvyn Caruth', 'Meredithe Pickworth', 'Dudley Worters', 'Anatollo Kenefick', 'Maurits Di Ruggero', 'Odetta Hanalan', 'Brittani Moorman', 'Marilee Pickering', 'Jo-anne Tweedy', 'Bing Enochsson', 'Baird Hebborne', 'Jervis Brierton', 'Frederick Boorn', 'Alane Bertin', 'Danita Dytham', 'Ruby Craufurd', 'Miller Godwin', 'Giacobo Erwin', 'Cary Stryde', 'Hephzibah Fiddy', 'Tadd Saunton', 'Linnie Halsted', 'Beauregard Selvey', 'Marlow Cappleman', 'Kissiah Mannering', 'Meriel Poschel', 'Sanders Althrop', 'Delmar Shelford', 'Ailene Trahair', 'Merci Garrie', 'Lance Isaak', 'Rafe Maier', 'Somerset Kern', 'Quincy Fayerbrother', 'Gussy Kits', 'Ode Cownden', 'Cairistiona Gocke', 'Patrice Freebury', 'Gavra Cuell', 'Edita Liebermann', 'Zonnya Stanborough', 'Goraud Bence', 'Pen Headington', 'Charyl Leap', 'Cherrita Danilov', 'Derward Murney', 'Gayla Martinec', 'Joly Furman', 'Frasco Antoney', 'Kahlil Cawthorne', 'Billie Burkart', 'Jobey Ilyin', 'Virginia Frayn', 'Toni Cosgrove', 'Pamella Rodgerson', 'Rubia Thorndycraft', 'Ezechiel Aubray', 'Marlowe Drew-Clifton', 'Charlotta Cainey', 'Allyson Braikenridge', 'Alidia Tutt', 'Margaretha Ovendale', 'Beatrisa Ilett', 'Wilfrid Ellson', 'Alvera Slym', 'Ann Brocklebank', 'Nisse Bleiman', 'Allan Limbourne', 'Myrtie Althrop', 'Arden Zmitrichenko', 'Ileana Leifer', 'Elva Hewes', 'Felecia Galland', 'Tamara Pinsent', 'Marlon Gleadle', 'Sorcha Sallowaye', 'Letizia Trenouth', 'Claudio Hammer', 'Roberto Neill', 'Terrijo Hansman', 'Yank Darrigrand', 'Agna Perutto', 'Thekla Verillo', 'Gonzalo Spilsburie', 'Bern Crowhurst', 'Odetta Depka', 'Marlowe Fellenor', 'Prescott De Rechter', 'Karoline Tolotti', 'Hadley Caddell', 'Hewie Smiley', 'Sharla Stryde', 'Nolana Stern', 'Merwin Bassill', 'Ikey Longforth', 'Holly Chaperlin', 'Fowler Yurin', 'Wally Colomb', 'Ricky Ibert', 'Audry Joris', 'Vanna Sponton', 'Zeke Prettyjohn', 'Clayson McClifferty', 'Clare Allot', 'Bowie De Bruijne', 'Gordie Jentgens', 'Alyss Hazelgreave', 'Lisette Danks', 'Poppy Haysar', 'Bryn Bubbear', 'Glori Darco', 'Manuel Plevin', 'Erika Oldford', 'Gottfried O\'Currine ', 'Clywd Claasen', 'Kass Judgkins', 'Noella Langfat', 'Damian Conan', 'Patrizius Culp', 'Gwennie Jenner', 'Lyman Hollow', 'Gayelord Brunke', 'Blane Zywicki', 'Tibold Crielly', 'Roman Wankling', 'Rosaline Skullet', 'Adele Muffin', 'Demetria Peete', 'Stanislaw Spera', 'Rolph Ivanyutin', 'Trixie Brislawn', 'Freda Bower', 'Dorree Lardeur', 'Benni Petzolt', 'Joseph Dunbleton', 'Hart Dimont', 'Dwayne Liddyard', 'Conrad Smalls' ]; }
(function (global) { System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true }, meta: { '*.css': { loader: 'css' }, '*.vue': { loader: '../plugin-vue/index.js' } //'*.vue': { loader: 'systemjs-plugin-vue' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { '@mescius/wijmo': 'npm:@mescius/wijmo/index.js', '@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js', '@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles', '@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures', '@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js', '@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js', '@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js', '@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js', '@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js', '@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js', '@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js', '@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js', '@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js', '@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js', '@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js', '@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js', '@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js', '@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js', '@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js', '@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js', '@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js', '@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js', '@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js', '@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js', '@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js', '@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js', '@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js', '@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js', '@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js', '@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js', '@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js', '@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js', '@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js', '@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js', '@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js', '@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js', '@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js', '@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js', '@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js', '@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js', '@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js', '@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js', '@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js', '@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js', '@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js', '@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js', '@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js', "@mescius/wijmo.vue2.chart.analytics": "npm:@mescius/wijmo.vue2.chart.analytics/index.js", "@mescius/wijmo.vue2.chart.animation": "npm:@mescius/wijmo.vue2.chart.animation/index.js", "@mescius/wijmo.vue2.chart.annotation": "npm:@mescius/wijmo.vue2.chart.annotation/index.js", "@mescius/wijmo.vue2.chart.finance.analytics": "npm:@mescius/wijmo.vue2.chart.finance.analytics/index.js", "@mescius/wijmo.vue2.chart.finance": "npm:@mescius/wijmo.vue2.chart.finance/index.js", "@mescius/wijmo.vue2.chart.hierarchical": "npm:@mescius/wijmo.vue2.chart.hierarchical/index.js", "@mescius/wijmo.vue2.chart.interaction": "npm:@mescius/wijmo.vue2.chart.interaction/index.js", "@mescius/wijmo.vue2.chart.radar": "npm:@mescius/wijmo.vue2.chart.radar/index.js", '@mescius/wijmo.vue2.chart.map': 'npm:@mescius/wijmo.vue2.chart.map/index.js', "@mescius/wijmo.vue2.chart": "npm:@mescius/wijmo.vue2.chart/index.js", "@mescius/wijmo.vue2.core": "npm:@mescius/wijmo.vue2.core/index.js", "@mescius/wijmo.vue2.gauge": "npm:@mescius/wijmo.vue2.gauge/index.js", "@mescius/wijmo.vue2.grid.detail": "npm:@mescius/wijmo.vue2.grid.detail/index.js", "@mescius/wijmo.vue2.grid.filter": "npm:@mescius/wijmo.vue2.grid.filter/index.js", "@mescius/wijmo.vue2.grid.grouppanel": "npm:@mescius/wijmo.vue2.grid.grouppanel/index.js", '@mescius/wijmo.vue2.grid.search': 'npm:@mescius/wijmo.vue2.grid.search/index.js', "@mescius/wijmo.vue2.grid.multirow": "npm:@mescius/wijmo.vue2.grid.multirow/index.js", "@mescius/wijmo.vue2.grid.sheet": "npm:@mescius/wijmo.vue2.grid.sheet/index.js", '@mescius/wijmo.vue2.grid.transposed': 'npm:@mescius/wijmo.vue2.grid.transposed/index.js', '@mescius/wijmo.vue2.grid.transposedmultirow': 'npm:@mescius/wijmo.vue2.grid.transposedmultirow/index.js', "@mescius/wijmo.vue2.grid": "npm:@mescius/wijmo.vue2.grid/index.js", "@mescius/wijmo.vue2.input": "npm:@mescius/wijmo.vue2.input/index.js", "@mescius/wijmo.vue2.olap": "npm:@mescius/wijmo.vue2.olap/index.js", "@mescius/wijmo.vue2.viewer": "npm:@mescius/wijmo.vue2.viewer/index.js", "@mescius/wijmo.vue2.nav": "npm:@mescius/wijmo.vue2.nav/index.js", "@mescius/wijmo.vue2.base": "npm:@mescius/wijmo.vue2.base/index.js", '@mescius/wijmo.vue2.barcode.common': 'npm:@mescius/wijmo.vue2.barcode.common/index.js', '@mescius/wijmo.vue2.barcode.composite': 'npm:@mescius/wijmo.vue2.barcode.composite/index.js', '@mescius/wijmo.vue2.barcode.specialized': 'npm:@mescius/wijmo.vue2.barcode.specialized/index.js', 'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css', 'jszip': 'npm:jszip/dist/jszip.js', 'css': 'npm:systemjs-plugin-css/css.js', 'vue': 'npm:vue/dist/vue.cjs.js', '@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js', '@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js', '@vue/shared':'npm:@vue/shared/dist/shared.cjs.js', '@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js', '@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js', '@vue/shared':'npm:@vue/shared/dist/shared.cjs.js', '@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js', '@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js', '@vue/shared':'npm:@vue/shared/dist/shared.cjs.js', '@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js', '@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js', '@vue/shared':'npm:@vue/shared/dist/shared.cjs.js', '@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js', '@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js', '@vue/shared':'npm:@vue/shared/dist/shared.cjs.js', '@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js', '@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js', '@vue/shared':'npm:@vue/shared/dist/shared.cjs.js', '@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js', '@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js', '@vue/shared':'npm:@vue/shared/dist/shared.cjs.js', '@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js', '@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js', '@vue/shared':'npm:@vue/shared/dist/shared.cjs.js', 'vue-loader': 'npm:systemjs-vue-browser/index.js', //'systemjs-plugin-vue': 'npm:systemjs-plugin-vue/index.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js' }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'js' }, rxjs: { defaultExtension: 'js' }, "node_modules": { defaultExtension: 'js' }, wijmo: { defaultExtension: 'js', } } }); })(this);